> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bytez.com/llms.txt
> Use this file to discover all available pages before exploring further.

# fill-mask

> Predict missing words in a sentence for tasks like text completion, language modeling, and text generation

> **Basic usage**
>
> Send a masked sentence to a model to predict the missing word
>
> ```javascript javascript theme={null}
> import Bytez from 'bytez.js';
>
> // insert your key
> const sdk = new Bytez('BYTEZ_KEY');
>
> // choose your model
> const model = sdk.model('almanach/camembert-base');
>
> // provide the model with input
> const input = "The capital of France is <mask>.";
>
> // send to the model
> const { error, output } = await model.run(input);
>
> // observe the output
> console.log({ error, output });
>
> ```
>
> ```python python theme={null}
> from bytez import Bytez
>
> # insert your key
> sdk = Bytez("BYTEZ_KEY")
>
> # choose your model
> model = sdk.model("almanach/camembert-base")
>
> # provide the model with input
> input = "The capital of France is <mask>."
>
> # send to the model
> result = model.run(input)
>
> # observe the output
> print({"error": result.error, "output": result.output})
>
> ```
>
> ```bash http theme={null}
> curl -X POST 'https://api.bytez.com/models/v2/almanach/camembert-base' \
> -H 'Authorization: BYTEZ_KEY' \
> -H 'Content-Type: application/json' \
> --data '{
>   "text": "The capital of France is <mask>."
> }'
> ```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.